package com.hw.mes.service;

import java.util.HashMap;
import java.util.List;
import com.hw.mes.domain.MesBaseRoute;

/**
 * 工艺路线Service接口
 * 
 * @author Yinq
 * @date 2024-01-25
 */
public interface IMesBaseRouteService 
{
    /**
     * 查询工艺路线
     * 
     * @param routeId 工艺路线主键
     * @return 工艺路线
     */
    public MesBaseRoute selectMesBaseRouteByRouteId(Long routeId);

    /**
     * 查询工艺路线列表
     * 
     * @param mesBaseRoute 工艺路线
     * @return 工艺路线集合
     */
    public List<MesBaseRoute> selectMesBaseRouteList(MesBaseRoute mesBaseRoute);

    /**
     * 新增工艺路线
     * 
     * @param mesBaseRoute 工艺路线
     * @return 结果
     */
    public int insertMesBaseRoute(MesBaseRoute mesBaseRoute);

    /**
     * 修改工艺路线
     * 
     * @param mesBaseRoute 工艺路线
     * @return 结果
     */
    public int updateMesBaseRoute(MesBaseRoute mesBaseRoute);

    /**
     * 批量删除工艺路线
     * 
     * @param routeIds 需要删除的工艺路线主键集合
     * @return 结果
     */
    public int deleteMesBaseRouteByRouteIds(Long[] routeIds);

    /**
     * 删除工艺路线信息
     * 
     * @param routeId 工艺路线主键
     * @return 结果
     */
    public int deleteMesBaseRouteByRouteId(Long routeId);

    /**
     * 根据工艺路线ID查询工位信息
     * @param routeId
     * @return
     */
    List<HashMap<String, Object>> getStationByRouteId(Long routeId);

}
